#Base de donnes Consotel sur le serveur localhost 
# 18/07/2006

CREATE TABLE `annuaireinterne` (
  `numero` varchar(4) NOT NULL default '',
  `nom` varchar(40) NOT NULL default '',
  `prenom` varchar(30) NOT NULL default '',
  `matricule` varchar(5) NOT NULL default '',
  `service` varchar(5) NOT NULL default '',
  `libservice` varchar(30) NOT NULL default '',
  `libgrade` varchar(30) NOT NULL default '',
  `liste` char(2) NOT NULL default '',
  PRIMARY KEY  (`numero`)
) TYPE=MyISAM;



CREATE TABLE `collectivite` (
  `ville` varchar(30) NOT NULL default '',
  `logo` varchar(40) NOT NULL default '',
  `maire` varchar(40) NOT NULL default '',
  `id` int(2) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Structure de la table `comfixe`
#

CREATE TABLE `comfixe` (
  `id` int(9) NOT NULL default '0',
  `date` date NOT NULL default '0000-00-00',
  `heure` time NOT NULL default '00:00:00',
  `dureelib` varchar(10) NOT NULL default '',
  `duree` int(10) NOT NULL default '0',
  `posteappelant` varchar(10) NOT NULL default '',
  `numerodemande` varchar(13) NOT NULL default '',
  `type` char(3) NOT NULL default '',
  `cout` float NOT NULL default '0',
  `parc` varchar(10) NOT NULL default '',
  `periode` varchar(4) NOT NULL default '',
  `nombreanomalie` int(2) NOT NULL default '0',
  `anomalie` varchar(200) NOT NULL default '',
  `pabx` char(3) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `periode` (`periode`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Structure de la table `comptefixe`
#

CREATE TABLE `comptefixe` (
  `compte` varchar(10) NOT NULL default '',
  `nom` varchar(50) default NULL,
  `adresse` varchar(50) default NULL,
  `abonnement` varchar(50) default NULL,
  `service` varchar(10) default NULL,
  `cloture` char(1) default '0',
  `fonction` varchar(10) default NULL,
  `commentaire` text,
  `observation` text,
  `dernierpaiement` varchar(10) default NULL,
  `anomalie` char(3) default 'Non',
  PRIMARY KEY  (`compte`),
  KEY `fonction` (`service`),
  KEY `operateur` (`fonction`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Structure de la table `comptemobile`
#

CREATE TABLE `comptemobile` (
  `compte` varchar(10) NOT NULL default '',
  `nom` varchar(50) NOT NULL default '',
  `adresse` varchar(50) NOT NULL default '',
  `abonnement` varchar(50) NOT NULL default '',
  `service` varchar(10) NOT NULL default '',
  `cloture` enum('0','1') default '0',
  `fonction` varchar(10) NOT NULL default '',
  `commentaire` text NOT NULL,
  `observation` text NOT NULL,
  `dernierpaiement` VARCHAR( 10 ) NOT NULL,
  `anomalie` VARCHAR( 3 ) NOT NULL,
  PRIMARY KEY  (`compte`),
  KEY `fonction` (`service`),
  KEY `operateur` (`fonction`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Structure de la table `cumulmoiscomptefixe`
#

CREATE TABLE `cumulmoiscomptefixe` (
  `periode` varchar(4) NOT NULL default '0000',
  `posteappelant` varchar(10) NOT NULL default '',
  `type` char(3) NOT NULL default '',
  `parc` char(3) NOT NULL default '',
  `cout` float default NULL,
  PRIMARY KEY  (`periode`,`posteappelant`,`type`,`parc`)
) TYPE=MyISAM COMMENT='Cumuls fixes mensuels faisant intervenir le temps, le cot e';

# --------------------------------------------------------

#
# Structure de la table `cumulmoiscomptefixepabx`
#

CREATE TABLE `cumulmoiscomptefixepabx` (
  `periode` varchar(4) NOT NULL default '0000',
  `posteappelant` varchar(10) NOT NULL default '',
  `type` char(3) NOT NULL default '',
  `parc` char(3) NOT NULL default '',
  `cout` float default NULL,
  PRIMARY KEY  (`periode`,`posteappelant`,`type`,`parc`)
) TYPE=MyISAM COMMENT='Cumuls fixes mensuels faisant intervenir le temps, le cot e';

# --------------------------------------------------------

#
# Structure de la table `droit`
#

CREATE TABLE `droit` (
  `droit` varchar(30) NOT NULL default '',
  `profil` int(2) NOT NULL default '0',
  PRIMARY KEY  (`droit`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Structure de la table `profil`
#

CREATE TABLE `profil` (
  `profil` int(2) NOT NULL default '0',
  `libelle_profil` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`profil`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Structure de la table `regle`
#

CREATE TABLE `regle` (
  `idregle` int(11) NOT NULL default '0',
  `jour` varchar(8) default NULL,
  `heuredebut` time default '00:00:00',
  `heurefin` time default '00:00:00',
  `service` varchar(6) default NULL,
  `restriction` varchar(10) default NULL,
  `duree` int(11) default NULL,
  `cout` int(4) default NULL,
  `solde` char(3) default NULL,
  `observation` varchar(60) default NULL,
  PRIMARY KEY  (`idregle`)
) TYPE=MyISAM COMMENT='Rgles dterminant les abus';

# --------------------------------------------------------

#
# Structure de la table `regle_seq`
#

CREATE TABLE `regle_seq` (
  id int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (id)
) TYPE=MyISAM AUTO_INCREMENT=14;

# --------------------------------------------------------

#
# Structure de la table `service`
#

CREATE TABLE `service` (
  `codeservice` varchar(5) NOT NULL default '',
  `libservice` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`codeservice`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Structure de la table `utilisateur`
#

CREATE TABLE `utilisateur` (
  `idUtilisateur` int(8) NOT NULL default '0',
  `nom` varchar(30) NOT NULL default '',
  `Login` varchar(30) NOT NULL default '',
  `Pwd` varchar(100) NOT NULL default '',
  `profil` int(2) NOT NULL default '0'
) TYPE=MyISAM COMMENT='Liste utilisateurs';

# --------------------------------------------------------

#
# Structure de la table `utilisateur_seq`
#

CREATE TABLE `utilisateur_seq` (
  id int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (id)
) TYPE=MyISAM AUTO_INCREMENT=14;


#
# Structure de la table `commobile`
#
CREATE TABLE `commobile` (
`id` INT( 9 ) DEFAULT '0' NOT NULL ,
`date` DATE NOT NULL ,
`heure` TIME NOT NULL ,
`libelle` VARCHAR( 10 ) NOT NULL ,
`duree` INT( 10 ) NOT NULL ,
`posteappelant` VARCHAR( 10 ) NOT NULL ,
`numerodemande` VARCHAR( 13 ) NOT NULL ,
`type` CHAR( 3 ) NOT NULL ,
`cout` FLOAT NOT NULL ,
`parc` VARCHAR( 10 ) NOT NULL ,
`periode` VARCHAR( 4 ) NOT NULL ,
`nombreanomalie` INT( 2 ) NOT NULL ,
`anomalie` VARCHAR( 200 ) NOT NULL ,
 PRIMARY KEY  (`id`)
);
#
# Structure de la table `commobile_seq`
#

CREATE TABLE `commobile_seq` (
  id int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (id)
) TYPE=MyISAM AUTO_INCREMENT=6;
#
# Structure de la table `comfixe_seq`
#

CREATE TABLE `comfixe_seq` (
  id int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (id)
) TYPE=MyISAM AUTO_INCREMENT=5;

#
# Structure de la table `cumulmoiscomptemobile`
#
CREATE TABLE `cumulmoiscomptemobile` (
`periode` VARCHAR( 4 ) NOT NULL ,
`posteappelant` VARCHAR( 10 ) NOT NULL ,
`type` VARCHAR( 3 ) NOT NULL ,
`parc` VARCHAR( 3 ) NOT NULL ,
`cout` FLOAT NOT NULL ,
PRIMARY KEY ( `periode` , `posteappelant` , `type` , `parc` ) 
);
#
# Structure de la table `tampon` pour transfert
#
CREATE TABLE `tampon` (
  `z0` varchar(255) default NULL,
  `z1` varchar(255) default NULL,
  `z2` varchar(255) default NULL,
  `z3` varchar(255) default NULL,
  `z4` varchar(255) default NULL,
  `z5` varchar(255) default NULL,
  `z6` varchar(255) default NULL,
  `z7` varchar(255) default NULL,
  `z8` varchar(255) default NULL,
  `z9` varchar(255) default NULL,
  `z10` varchar(255) default NULL,
  `z11` varchar(255) default NULL,
  `z12` varchar(255) default NULL,
  `z13` varchar(255) default NULL,
  `z14` varchar(255) default NULL,
  `z15` varchar(255) default NULL,
  `z16` varchar(255) default NULL,
  `z17` varchar(255) default NULL,
  `z18` varchar(255) default NULL,
  `z19` varchar(255) default NULL,
  `z20` varchar(255) default NULL
) TYPE=MyISAM;


