<?php
function conversion_nb_secondes($temps)
// Transforme un nombre de secondes au format 00h00mn00s
// utiliser dans trtregle.php
{
  // Combien d'heures ?
  $heures = floor($temps / 3600);
  // Combien de minutes ?
  $minutes = floor(($temps - ($heures * 3600)) / 60);
  // Test du nombre de minutes pour affichage
  if ($minutes < 10)
    $minutes = "0".$minutes;
  // Combien de secondes ?
  $secondes = $temps - ($heures * 3600) - ($minutes * 60);
  // Test du nombre de secondes pour affichage
  if ($secondes < 10)
    $secondes = "0".$secondes;
  // Test du nombre de jours puis affichage
  if (isset($jours) and $jours <> 0)
    return $jours.'j '.$heures.'h'.$minutes.'mn'.$secondes.'s';
  else
  {
    if($heures <> 0)
      return $heures.'h'.$minutes.'mn'.$secondes.'s';
    else
    {
      if($minutes <>0)
        return $minutes.'mn'.$secondes.'s';
    }
  }
}

function conversion_inv_nb_secondes($temps)
// Transforme une heure au format 00:00:00 en nombre de secondes
{
  // On spare les heures, minutes et secondes
  $tronc_temps = explode(":",$temps);

  // Nombres de secondes dans xx:xx:xx
  $secondes=3600*$tronc_temps[0]+60*$tronc_temps[1]+$tronc_temps[2];

  return $secondes;
}
?>